Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining.weaver
Class HandlerVisitor.CatchClauseCodeAdapter

    java.lang.Object
      org.objectweb.asm.CodeAdapter
          org.codehaus.aspectwerkz.transform.inlining.weaver.HandlerVisitor.CatchClauseCodeAdapter

All Implemented Interfaces:
  org.objectweb.asm.CodeVisitor

Enclosing class:
  HandlerVisitor

    public class HandlerVisitor.CatchClauseCodeAdapter

extends org.objectweb.asm.CodeAdapter

Advises catch clauses by inserting a call to the join point as the first thing in the catch block.

Author:
  Alexandre Vasseur

Field Summary

Fields inherited from class org.objectweb.asm.CodeAdapter
`cv`

Constructor Summary
`HandlerVisitor.CatchClauseCodeAdapter(org.objectweb.asm.CodeVisitor ca)` Creates a new instance.

Method Summary
`void` | `visitLabel(org.objectweb.asm.Label label)`

Methods inherited from class org.objectweb.asm.CodeAdapter
`visitAttribute, visitFieldInsn, visitIincInsn, visitInsn, visitIntInsn, visitJumpInsn, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMultiANewArrayInsn, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn, visitVarInsn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerVisitor.CatchClauseCodeAdapter

    public HandlerVisitor.CatchClauseCodeAdapter(org.objectweb.asm.CodeVisitor ca)

  Creates a new instance.

  Parameters:
    `ca` -

Method Detail

### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)

  Specified by:
    `visitLabel` in interface `org.objectweb.asm.CodeVisitor`
  Overrides:
    `visitLabel` in class `org.objectweb.asm.CodeAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.